package tsgo

import "github.com/godbus/dbus"

var dbusConn *dbus.Conn

func initDbus() {
	dbusConn, _ = dbus.ConnectSessionBus()
	// Add error handling
}

func notifyPoke(from, message string) {
	obj := dbusConn.Object("org.freedesktop.Notifications", "/org/freedesktop/Notifications")
	call := obj.Call("org.freedesktop.Notifications.Notify", 0, "teamspeak3", uint32(0),
		"", "Poke from "+from, message, []string{},
		map[string]dbus.Variant{"urgency": dbus.MakeVariant(byte(2))}, int32(-1))

	if call.Err != nil {
		// TODO error handleling
	}
}
